import request from '@/utils/request'

// 查询每日安全检查列表
export function listDailycheck(query) {
  return request({
    url: '/safecheck/dailycheck/list',
    method: 'get',
    params: query
  })
}

// 查询每日安全检查列表
export function myListDailycheck(query) {
  return request({
    url: '/safecheck/dailycheck/myList',
    method: 'get',
    params: query
  })
}

// 查询每日安全检查详细
export function getDailycheck(id) {
  return request({
    url: '/safecheck/dailycheck/' + id,
    method: 'get'
  })
}

// 新增每日安全检查
export function addDailycheck(data) {
  return request({
    url: '/safecheck/dailycheck',
    method: 'post',
    data: data
  })
}

// 修改每日安全检查
export function updateDailycheck(data) {
  return request({
    url: '/safecheck/dailycheck',
    method: 'put',
    data: data
  })
}

// 删除每日安全检查
export function delDailycheck(id) {
  return request({
    url: '/safecheck/dailycheck/' + id,
    method: 'delete'
  })
}

// 导出每日安全检查
export function exportDailycheck(query) {
  return request({
    url: '/safecheck/dailycheck/export',
    method: 'get',
    params: query
  })
}

// 下载
export function downloadDailycheck(query) {
  return request({
    url: '/safecheck/dailycheck/downloadDailycheck',
    method: 'get',
    params: query
  })
}


//获取word url
export function wordView(id) {
  return request({
    url: '/safecheck/dailycheck/wordView/' + id,
    method: 'get',
  })
}

// 批量确认
export function batchConfirm(id) {
  return request({
    url: '/safecheck/dailycheck/batchConfirm/' + id,
    method: 'get'
  })
}

// 批量确认
export function batchCancel(id) {
  return request({
    url: '/safecheck/dailycheck/batchCancel/' + id,
    method: 'get'
  })
}
